from logging import getLogger

from orchestrator import step
from orchestrator.types import State
from products import Iptrunk

logger = getLogger(__name__)


@step("Set ISIS metric to 9000")
def set_isis_to_9000(subscription: Iptrunk) -> State:
    old_isis_metric = subscription.iptrunk.iptrunk_isis_metric
    subscription.iptrunk.iptrunk_isis_metric = 90000
    logger.warning("ISIS metric is only updated in the subscription, not in the real world.")

    return {"subscription": subscription, "old_isis_metric": old_isis_metric}


@step("Restore ISIS metric to original value")
def restore_isis_metric(subscription: Iptrunk, old_isis_metric: int) -> State:
    subscription.iptrunk.iptrunk_isis_metric = old_isis_metric
    logger.warning("ISIS metric is only updated in the subscription, not in the real world.")

    return {"subscription": subscription}
